Bug 739777 - Review Request: python-akismet - Python interface to the Akismet anti comment-spam API
Review Request: python-akismet - Python interface to the Akismet anti comment...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-09-19 21:40 EDT by Praveen Kumar
Modified: 2011-10-19 00:34 EDT (History)
3 users (show)

See Also:
Fixed In Version: python-akismet-0.2.0-1.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-10-19 00:34:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Praveen Kumar 2011-09-19 21:40:56 EDT
Spec URL: http://kumarpraveen.fedorapeople.org/akismet/python-akismet.spec
SRPM URL: http://kumarpraveen.fedorapeople.org/akismet/python-akismet-0.2.0-1.fc15.src.rpm

Description: Akismet is a web service for recognizing spam comments. It promises to be almost 100% effective at catching comment spam. They say that currently 81% of all comments submitted to them are spam.It's designed to work with the Wordpress Blog Tool, but it's not restricted to that so this is a Python interface to the Akismet API.


koji build : http://koji.fedoraproject.org/koji/taskinfo?taskID=3362819
Comment 1 Parag AN(पराग) 2011-09-20 06:18:58 EDT
+ koji build -> http://koji.fedoraproject.org/koji/taskinfo?taskID=3362819
+ rpmlint output is silent.
+ source is verified with upstream as (sha1sum)

9a9c95b822b2b015c7042b2f4b20fe6fb449b372  akismet-0.2.0.tar.gz
9a9c95b822b2b015c7042b2f4b20fe6fb449b372  ../SOURCES/akismet-0.2.0.tar.gz

+ rest looks ok

suggestions:
1) cleaning of the buildroot in %install is not required for Fedora spec. See http://fedoraproject.org/wiki/Packaging:Guidelines#BuildRoot_tag

APPROVED.
Comment 2 Praveen Kumar 2011-09-20 08:47:30 EDT
(In reply to comment #1)
> + koji build -> http://koji.fedoraproject.org/koji/taskinfo?taskID=3362819
> + rpmlint output is silent.
> + source is verified with upstream as (sha1sum)
> 
> 9a9c95b822b2b015c7042b2f4b20fe6fb449b372  akismet-0.2.0.tar.gz
> 9a9c95b822b2b015c7042b2f4b20fe6fb449b372  ../SOURCES/akismet-0.2.0.tar.gz
> 
> + rest looks ok
> 
> suggestions:
> 1) cleaning of the buildroot in %install is not required for Fedora spec. See
> http://fedoraproject.org/wiki/Packaging:Guidelines#BuildRoot_tag
> 
Thanks for suggestion, I made this change in spec now.
> APPROVED.
Comment 3 Praveen Kumar 2011-09-20 08:50:45 EDT
New Package SCM Request
=======================
Package Name: python-akismet
Short Description: Python interface to the Akismet anti comment-spam API
Owners: kumarpraveen pjp sundaram
Branches: f14 f15 f16 el6
Comment 4 Gwyn Ciesla 2011-09-20 11:00:04 EDT
Git done (by process-git-requests).
Comment 5 Fedora Update System 2011-09-21 11:54:20 EDT
python-akismet-0.2.0-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/python-akismet-0.2.0-1.fc16
Comment 6 Fedora Update System 2011-09-21 18:13:28 EDT
python-akismet-0.2.0-1.fc16 has been pushed to the Fedora 16 testing repository.
Comment 7 Fedora Update System 2011-10-19 00:34:51 EDT
python-akismet-0.2.0-1.fc16 has been pushed to the Fedora 16 stable repository.

Note You need to log in before you can comment on or make changes to this bug.